# Method: photoSequence.startUpload

- [HTTP request](https://developers.google.com/streetview/publish/reference/rest/v1/photoSequence/startUpload#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/streetview/publish/reference/rest/v1/photoSequence/startUpload#body.request_body)
- [Response body](https://developers.google.com/streetview/publish/reference/rest/v1/photoSequence/startUpload#body.response_body)
- [Authorization scopes](https://developers.google.com/streetview/publish/reference/rest/v1/photoSequence/startUpload#body.aspect)
- [Try it!](https://developers.google.com/streetview/publish/reference/rest/v1/photoSequence/startUpload#try-it)

Creates an upload session to start uploading photo sequence data. The upload URL of the returned `https://developers.google.com/streetview/publish/reference/rest/v1/photo#UploadRef` is used to upload the data for the `photoSequence`.

After the upload is complete, the `https://developers.google.com/streetview/publish/reference/rest/v1/photo#UploadRef` is used with `https://developers.google.com/streetview/publish/reference/rest/v1/photoSequence/create#google.streetview.publish.v1.StreetViewPublishService.CreatePhotoSequence` to create the `https://developers.google.com/streetview/publish/reference/rest/v1/photoSequence/create#PhotoSequence` object entry.

### HTTP request

`POST https://streetviewpublish.googleapis.com/v1/photoSequence:startUpload`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/streetview/publish/reference/rest/v1/photo#UploadRef`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/streetviewpublish`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).